Appearance
DID Parameter: versionTime
A request for a DID URL with this parameter will retrieve the version at the time 2024-04-15T00:00:00Z of the DID document:
did:indy:sovrin:Uarrb25Y6v2jhLCJyqTKE7?versionTime=2024-04-15T00:00:00Z
bash
curl -X GET "https://api.godiddy.com/1.0.0/universal-resolver/identifiers/did:indy:sovrin:Uarrb25Y6v2jhLCJyqTKE7?versionTime=2024-04-15T00:00:00Z" \
-H "Authorization: Bearer b082c420-df67-4b06-899c-b7c51d75fba0" \
-H "Accept: application/did"1
2
3
2
3
A request for a DID URL with this parameter will retrieve the version at the time 2024-05-15T00:00:00Z of the DID document:
did:indy:sovrin:Uarrb25Y6v2jhLCJyqTKE7?versionTime=2024-05-15T00:00:00Z
bash
curl -X GET "https://api.godiddy.com/1.0.0/universal-resolver/identifiers/did:indy:sovrin:Uarrb25Y6v2jhLCJyqTKE7?versionTime=2024-05-15T00:00:00Z" \
-H "Authorization: Bearer b082c420-df67-4b06-899c-b7c51d75fba0" \
-H "Accept: application/did"1
2
3
2
3
NOTE
The versionTime parameter is not supported for all DID methods, but if it is supported, then the format and meaning of its values are independent of the DID method.
TIP
See the DID Core specification for additional information about this parameter.